# Users.dataSources: delete

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/fit/rest/v1/reference/users/dataSources/delete#auth).

Deletes the specified data source. The request will fail if the data
source contains any data points.
[Try it now](https://developers.google.com/fit/rest/v1/reference/users/dataSources/delete#try-it).

## Request

### HTTP request

```
DELETE https://www.googleapis.com/fitness/v1/users/userId/dataSources/dataSourceId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `dataSourceId` | `string` | The data stream ID of the data source to delete. |
| `userId` | `string` | Retrieve a data source for the person identified. Use `me` to indicate the authenticated user. Only `me` is supported at this time. |

### Authorization

This request requires authorization with at least one of the following scopes:

| Scope |
|---|
| `https://www.googleapis.com/auth/fitness.activity.write` |
| `https://www.googleapis.com/auth/fitness.location.write` |
| `https://www.googleapis.com/auth/fitness.body.write` |
| `https://www.googleapis.com/auth/fitness.nutrition.write` |
| `https://www.googleapis.com/auth/fitness.blood_pressure.write` |
| `https://www.googleapis.com/auth/fitness.blood_glucose.write` |
| `https://www.googleapis.com/auth/fitness.oxygen_saturation.write` |
| `https://www.googleapis.com/auth/fitness.body_temperature.write` |
| `https://www.googleapis.com/auth/fitness.reproductive_health.write` |

For more information, see the [authentication and authorization](https://developers.google.com/fit/rest/v1/authorization) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns a [Users.dataSources resource](https://developers.google.com/fit/rest/v1/reference/users/dataSources#resource) in the response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.